Bug 26478 - Display issue with buttons on the self checkout screens
Summary: Display issue with buttons on the self checkout screens
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-17 06:30 UTC by Katrin Fischer
Modified: 2021-06-14 21:33 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26478: Display issue with buttons on the self checkout screens (4.27 KB, patch)
2020-09-17 10:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26478: Display issue with buttons on the self checkout screens (4.32 KB, patch)
2020-09-19 06:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 26478: Display issue with buttons on the self checkout screens (4.37 KB, patch)
2020-09-20 16:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-09-17 06:30:43 UTC
There are some visual glitches on the self checkout screens. Mainly:

With SCOAllowCheckin allowed:
- Have an item checked out that can be renewed
- Log into self checkout (sco-main)
- On the checkouts table, there is a renew link, but it doesn't stand out as a button anymore
- Try to checkout an item not for loan
- The button in the message will look not quite right
Comment 1 Owen Leonard 2020-09-17 10:58:07 UTC
Created attachment 110257 [details] [review]
Bug 26478: Display issue with buttons on the self checkout screens

This patch adds missing Bootstrap classes to a few buttons on the self
checkout page. Without the classes the buttons are not styled correctly.

To test, apply the patch and open the self checkout page for a patron
with multiple checkouts, some renewable and some non-renewable.

In the table of the user's checkouts the "Renew item" button should be
styled as a green button. The "Check in item" button should be styled as
a blue button.

Try to check out an item which cannot be circulated. On the page warning
you "Item cannot be checked out," the "Return to account summary" button
should be styled as a blue button.
Comment 2 David Nind 2020-09-19 06:00:08 UTC
Created attachment 110417 [details] [review]
Bug 26478: Display issue with buttons on the self checkout screens

This patch adds missing Bootstrap classes to a few buttons on the self
checkout page. Without the classes the buttons are not styled correctly.

To test, apply the patch and open the self checkout page for a patron
with multiple checkouts, some renewable and some non-renewable.

In the table of the user's checkouts the "Renew item" button should be
styled as a green button. The "Check in item" button should be styled as
a blue button.

Try to check out an item which cannot be circulated. On the page warning
you "Item cannot be checked out," the "Return to account summary" button
should be styled as a blue button.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-20 16:30:09 UTC
Created attachment 110420 [details] [review]
Bug 26478: Display issue with buttons on the self checkout screens

This patch adds missing Bootstrap classes to a few buttons on the self
checkout page. Without the classes the buttons are not styled correctly.

To test, apply the patch and open the self checkout page for a patron
with multiple checkouts, some renewable and some non-renewable.

In the table of the user's checkouts the "Renew item" button should be
styled as a green button. The "Check in item" button should be styled as
a blue button.

Try to check out an item which cannot be circulated. On the page warning
you "Item cannot be checked out," the "Return to account summary" button
should be styled as a blue button.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-28 14:12:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 14:45:19 UTC
doesnt apply cleanly to 20.05.x, no backport